[Bug 700036] Re: package blcr-dkms 0.8.2-15ubuntu1 failed to install/upgrade: blcr kernel module failed to build - error: ‘struct signal_struct’ has no member named ‘count’

pablomme pablomme at googlemail.com
Wed Jun 8 11:01:48 UTC 2011


Maintainers of OpenMPI and MPICH: could we break the dependency of these
packages on blcr in Ubuntu for the time being? blcr-dkms is not
compilable at present, and attempting to install either openmpi or mpich
will produce an error. The maintainer of blcr-dkms in Debian (if I have
correctly inferred the role of Alan above) recommends this temporary
solution.

Namely, we need to demote two dependencies:
- openmpi-bin should "suggest" openmpi-checkpoint, instead of "recommend" it
- libmpich2-2 should "suggest" libcr0, instead of "depend" on it
The latter is a strict "depends", which might mean that mpich is configured to require blcr - I hope this is not an actual problem, or that the solution is simple.

-- 
You received this bug notification because you are a member of MOTU,
which is a bug assignee.
https://bugs.launchpad.net/bugs/700036

Title:
  package blcr-dkms 0.8.2-15ubuntu1 failed to install/upgrade: blcr
  kernel module failed to build - error: ‘struct signal_struct’ has no
  member named ‘count’



More information about the universe-bugs mailing list